{
   "parent":"item/generated",
   "textures":{
      "layer0":"item/leather_leggings",
      "layer1":"item/leather_leggings_overlay"
   },
   "overrides":[
      {
         "predicate":{
            "custom_model_data":1000
         },
         "model":"emerald_leggings"
      },
      {
         "predicate":{
            "custom_model_data":1001
         },
         "model":"obsidian_leggings"
      },
      {
         "predicate":{
            "custom_model_data":1002
         },
         "model":"ruby_leggings"
      },
      {
         "predicate":{
            "custom_model_data":1003
         },
         "model":"carnivoret_leggings"
      },
      {
         "predicate":{
            "custom_model_data":1004
         },
         "model":"samuraired_leggings"
      },
      {
         "predicate":{
            "custom_model_data":1005
         },
         "model":"samuraiblack_leggings"
      },
      {
         "predicate":{
            "custom_model_data":1006
         },
         "model":"samuraigreen_leggings"
      },
      {
         "predicate":{
            "custom_model_data":1007
         },
         "model":"samuraiblue_leggings"
      },
      {
         "predicate":{
            "custom_model_data":1008
         },
         "model":"samuraigray_leggings"
      },
      {
         "predicate":{
            "custom_model_data":1009
         },
         "model":"skeletonoverlord_leggings"
      },
      {
         "predicate":{
            "custom_model_data":1010
         },
         "model":"santa_leggings"
      },
      {
         "predicate":{
            "custom_model_data":1011
         },
         "model":"royal_leggings"
      },
      {
         "predicate":{
            "custom_model_data":10000
         },
         "model":"item/mcmobs/ender_leggings"
      },
      {
         "predicate":{
            "custom_model_data":2200039
         },
         "model":"ender_leggings"
      },
      {
         "predicate":{
            "custom_model_data":2200209
         },
         "model":"slimefun:slimefun/armor/hazmat_suit/leggings"
      },
      {
         "predicate":{
            "custom_model_data":2201212
         },
         "model":"extra_gear:armor/copper/copper_leggings"
      },
      {
         "predicate":{
            "custom_model_data":2205503
         },
         "model":"fireboss_leggings"
      },
      {
         "predicate":{
            "custom_model_data":2205505
         },
         "model":"cursed_leggings"
      }
   ]
}